imagecolorat
imagecolorclosestalpha
GD Functions
PHP Manual

# imagecolorclosest

(PHP 4, PHP 5)

imagecolorclosest — Get the index of the closest color to the specified color

### Description

int imagecolorclosest ( resource `$image` , int `$red` , int `$green` , int `$blue` )

Returns the index of the color in the palette of the image which is "closest" to the specified RGB value.

The "distance" between the desired color and each color in the palette is calculated as if the RGB values represented points in three-dimensional space.

If you created the image from a file, only colors used in the image are resolved. Colors present only in the pallete are not resolved.

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`red`

  Value of red component

`green`

  Value of green component

`blue`

  Value of blue component

The colors parameters are integers between 0 and 255 or hexadecimals between 0x00 and 0xFF.

### Return Values

Returns the index of the closest color, in the palette of the image, to the specified one

### See Also

- imagecolorexact()

imagecolorat
imagecolorclosestalpha
GD Functions
PHP Manual